Subject: Re: bug#75746: 31.0.50; Can't get password promote from plink 0.82

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2025 16:00:34 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 14 Feb 2025 14:29:49 +0100
> 
> Michael Albinus <[email-masked]> writes:
> 
> > The following message has been sent to the PuTTY developers
> 
> And here's the answer
> 
> --8<---------------cut here---------------start------------->8---
> From: Jacob Nevins <[email-masked]>
> Subject: Re: [putty] plink ceased to show prompts since release 0.82
> To: Michael Albinus <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 14 Feb 2025 13:01:12 +0000 (1 minute, 3 seconds ago)
> Reply-To: [email-masked]
> Mail-Followup-To: [email-masked], Michael Albinus
>  <[email-masked]>
> 
> Michael Albinus writes:
> > In order to make this happen, Emacs opens internally a cmd.exe buffer. In
> > this buffer, a command like
> >
> > --8<---------------cut here---------------start------------->8---
> > plink -l albinus -ssh -t gandalf /bin/sh -i
> > --8<---------------cut here---------------end--------------->8---
> >
> > Nothing happens, no prompt appears.
> >
> > If I call the very same command in a native cmd.exe terminal, evrything
> > works as expected. And so it did inside Emacs prior PuTTY 0.82.
> 
> This was a deliberate behaviour change in 0.82, described in the
> following link, which also describes how to restore the old behaviour.
> https://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/windows-stdio-prompts.html
> --8<---------------cut here---------------end--------------->8---
> 
> The proposed option works as expected.

Thanks.

I'm not sure I understand the description of the new behavior: it says
"(If there's no console involved, they'll fall back to the old
behaviour.)", but in our case, i.e. invoking PuTTY from Emacs on
Windows, there really isn't any console, since Emacs communicates with
PuTTY via a pipe.  Or am I missing something?